org.apache.hadoop.ipc.protobuf

## Interface ProtocolInfoProtos.GetProtocolVersionsResponseProtoOrBuilder

- All Superinterfaces:
    com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder
  All Known Implementing Classes:
    ProtocolInfoProtos.GetProtocolVersionsResponseProto, ProtocolInfoProtos.GetProtocolVersionsResponseProto.Builder
  Enclosing class:
    ProtocolInfoProtos

      public static interface ProtocolInfoProtos.GetProtocolVersionsResponseProtoOrBuilder
      extends com.google.protobuf.MessageOrBuilder

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `ProtocolInfoProtos.ProtocolVersionProto` | `getProtocolVersions(int index)` `repeated .hadoop.common.ProtocolVersionProto protocolVersions = 1;`
    `int` | `getProtocolVersionsCount()` `repeated .hadoop.common.ProtocolVersionProto protocolVersions = 1;`
    `List<ProtocolInfoProtos.ProtocolVersionProto>` | `getProtocolVersionsList()` `repeated .hadoop.common.ProtocolVersionProto protocolVersions = 1;`
    `ProtocolInfoProtos.ProtocolVersionProtoOrBuilder` | `getProtocolVersionsOrBuilder(int index)` `repeated .hadoop.common.ProtocolVersionProto protocolVersions = 1;`
    `List<? extends ProtocolInfoProtos.ProtocolVersionProtoOrBuilder>` | `getProtocolVersionsOrBuilderList()` `repeated .hadoop.common.ProtocolVersionProto protocolVersions = 1;`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField`

    - ### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

      `isInitialized`

- - ### Method Detail

    - #### getProtocolVersionsList

          List<ProtocolInfoProtos.ProtocolVersionProto> getProtocolVersionsList()

      `repeated .hadoop.common.ProtocolVersionProto protocolVersions = 1;`

    - #### getProtocolVersions

          ProtocolInfoProtos.ProtocolVersionProto getProtocolVersions(int index)

      `repeated .hadoop.common.ProtocolVersionProto protocolVersions = 1;`

    - #### getProtocolVersionsCount

          int getProtocolVersionsCount()

      `repeated .hadoop.common.ProtocolVersionProto protocolVersions = 1;`

    - #### getProtocolVersionsOrBuilderList

          List<? extends ProtocolInfoProtos.ProtocolVersionProtoOrBuilder> getProtocolVersionsOrBuilderList()

      `repeated .hadoop.common.ProtocolVersionProto protocolVersions = 1;`

    - #### getProtocolVersionsOrBuilder

          ProtocolInfoProtos.ProtocolVersionProtoOrBuilder getProtocolVersionsOrBuilder(int index)

      `repeated .hadoop.common.ProtocolVersionProto protocolVersions = 1;`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.